Modify

Opened 5 years ago

Closed 5 years ago

#10625 closed defect (othersoftware)

geotools plugin fails during JOSM startup

Reported by: jsaniga@… Owned by: Don-vip
Priority: normal Milestone:
Component: Plugin Version:
Keywords: template_report github Cc:

Description (last modified by Don-vip)

What steps will reproduce the problem?

  1. Install the opendata plugin (it will also install geotools and JOSM restarts)
  2. Exit JOSM and start it again.

What is the expected result?

JOSM starts up and geotools is available.

What happens instead?

geotools fails to load and JOSM offers to disable it.

Please provide any additional information below. Attach a screenshot if possible.
JOSM prints out the following:

INFO: loading plugin 'jts' (version 30416)
INFO: loading plugin 'geotools' (version 30569)
Oct 10, 2014 5:54:47 PM org.geotools.factory.FactoryRegistry scanForPlugins
WARNING: Can't load a service for category "CRSAuthorityFactory". Cause is "ServiceConfigurationError: org.opengis.referencing.crs.CRSAuthorityFactory: Provider org.geotools.referencing.factory.epsg.CartesianAuthorityFactory could not be instantiated".
java.util.ServiceConfigurationError: org.opengis.referencing.crs.CRSAuthorityFactory: Provider org.geotools.referencing.factory.epsg.CartesianAuthorityFactory could not be instantiated
        at java.util.ServiceLoader.fail(Unknown Source)
        at java.util.ServiceLoader.access$100(Unknown Source)
        at java.util.ServiceLoader$LazyIterator.next(Unknown Source)
        at java.util.ServiceLoader$1.next(Unknown Source)
        at org.geotools.factory.FactoryRegistry.register(FactoryRegistry.java:829)
        at org.geotools.factory.FactoryRegistry.scanForPlugins(FactoryRegistry.java:773)
        at org.geotools.factory.FactoryRegistry.scanForPluginsIfNeeded(FactoryRegistry.java:808)
        at org.geotools.factory.FactoryRegistry.getServiceProviders(FactoryRegistry.java:195)
        at org.geotools.referencing.ReferencingFactoryFinder.getFactories(ReferencingFactoryFinder.java:176)
        at org.geotools.referencing.ReferencingFactoryFinder.getCRSAuthorityFactories(ReferencingFactoryFinder.java:451)
        at org.geotools.referencing.DefaultAuthorityFactory.getBackingFactory(DefaultAuthorityFactory.java:88)
        at org.geotools.referencing.DefaultAuthorityFactory.<init>(DefaultAuthorityFactory.java:69)
        at org.geotools.referencing.CRS.getAuthorityFactory(CRS.java:197)
        at org.geotools.referencing.CRS.decode(CRS.java:435)
        at org.geotools.referencing.CRS.decode(CRS.java:363)
        at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.checkEPSG(GeoToolsPlugin.java:75)
        at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.<init>(GeoToolsPlugin.java:24)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Unknown Source)
        at org.openstreetmap.josm.plugins.PluginInformation.load(PluginInformation.java:323)
        at org.openstreetmap.josm.plugins.PluginHandler.loadPlugin(PluginHandler.java:589)
        at org.openstreetmap.josm.plugins.PluginHandler.loadPlugins(PluginHandler.java:651)
        at org.openstreetmap.josm.plugins.PluginHandler.loadLatePlugins(PluginHandler.java:691)
        at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:424)
Caused by: java.lang.NoSuchFieldError: UNKNOWN
        at org.geotools.referencing.factory.epsg.CartesianAuthorityFactory.<clinit>(CartesianAuthorityFactory.java:61)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Unknown Source)
        at java.lang.Class.newInstance(Unknown Source)
        ... 24 more

Oct 10, 2014 5:54:47 PM org.geotools.referencing.factory.PropertyAuthorityFactory <init>
WARNING: Axis elements found in a wkt definition, the force longitude first axis order hint might not be respected:
PROJCS["Google Projection",GEOGCS["WGS 84",DATUM["World Geodetic System 1984",SPHEROID["WGS 84", 6378137.0, 298.257223563, AUTHORITY["EPSG","7030"]],AUTHORITY["EPSG","6326"]],PRIMEM["Greenwich", 0.0, AUTHORITY["EPSG","8901"]],UNIT["degree", 0.017453292519943295],AXIS["Geodetic longitude", EAST],AXIS["Geodetic latitude", NORTH],AUTHORITY["EPSG","4326"]],PROJECTION["Popular Visualisation Pseudo Mercator", AUTHORITY["EPSG","1024"]],PARAMETER["semi_minor", 6378137.0],PARAMETER["latitude_of_origin", 0.0],PARAMETER["central_meridian", 0.0],PARAMETER["scale_factor", 1.0],PARAMETER["false_easting", 0.0],PARAMETER["false_northing", 0.0],UNIT["m", 1.0]]
ERROR: org.openstreetmap.josm.plugins.PluginException: An error occurred in plugin geotools. Cause: java.lang.reflect.InvocationTargetException. Cause: java.lang.NoSuchFieldError: HTTP_URI_OGC
org.openstreetmap.josm.plugins.PluginException: An error occurred in plugin geotools
        at org.openstreetmap.josm.plugins.PluginInformation.load(PluginInformation.java:326)
        at org.openstreetmap.josm.plugins.PluginHandler.loadPlugin(PluginHandler.java:589)
        at org.openstreetmap.josm.plugins.PluginHandler.loadPlugins(PluginHandler.java:651)
        at org.openstreetmap.josm.plugins.PluginHandler.loadLatePlugins(PluginHandler.java:691)
        at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:424)
Caused by: java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Unknown Source)
        at org.openstreetmap.josm.plugins.PluginInformation.load(PluginInformation.java:323)
        ... 4 more
Caused by: java.lang.NoSuchFieldError: HTTP_URI_OGC
        at org.geotools.referencing.factory.HTTP_URI_AuthorityFactory.getAuthority(HTTP_URI_AuthorityFactory.java:77)
        at org.geotools.referencing.DefaultAuthorityFactory.getBackingFactory(DefaultAuthorityFactory.java:104)
        at org.geotools.referencing.DefaultAuthorityFactory.<init>(DefaultAuthorityFactory.java:69)
        at org.geotools.referencing.CRS.getAuthorityFactory(CRS.java:197)
        at org.geotools.referencing.CRS.decode(CRS.java:435)
        at org.geotools.referencing.CRS.decode(CRS.java:363)
        at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.checkEPSG(GeoToolsPlugin.java:75)
        at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.<init>(GeoToolsPlugin.java:24)
        ... 9 more
INFO: loading plugin 'utilsplugin2' (version 30460)
INFO: loading plugin 'opendata' (version 30607)
INFO: loading plugin 'freemapkapor' (version 53)
Oct 10, 2014 5:54:49 PM org.geotools.factory.FactoryRegistry scanForPlugins
WARNING: Can't load a service for category "MathTransformProvider". Cause is "ServiceConfigurationError: org.geotools.referencing.operation.MathTransformProvider: Provider org.geotools.referencing.operation.transform.NTv2Transform$Provider could not be instantiated".
java.util.ServiceConfigurationError: org.geotools.referencing.operation.MathTransformProvider: Provider org.geotools.referencing.operation.transform.NTv2Transform$Provider could not be instantiated
        at java.util.ServiceLoader.fail(Unknown Source)
        at java.util.ServiceLoader.access$100(Unknown Source)
        at java.util.ServiceLoader$LazyIterator.next(Unknown Source)
        at java.util.ServiceLoader$1.next(Unknown Source)
        at org.geotools.factory.FactoryRegistry.register(FactoryRegistry.java:829)
        at org.geotools.factory.FactoryRegistry.scanForPlugins(FactoryRegistry.java:773)
        at org.geotools.factory.FactoryRegistry.scanForPluginsIfNeeded(FactoryRegistry.java:808)
        at org.geotools.factory.FactoryRegistry.getServiceProviders(FactoryRegistry.java:195)
        at org.geotools.referencing.operation.DefaultMathTransformFactory.getProvider(DefaultMathTransformFactory.java:281)
        at org.geotools.referencing.operation.DefaultMathTransformFactory.getDefaultParameters(DefaultMathTransformFactory.java:315)
        at org.geotools.referencing.wkt.Parser.parseProjection(Parser.java:593)
        at org.geotools.referencing.wkt.Parser.parseProjCS(Parser.java:897)
        at org.geotools.referencing.wkt.Parser.parseCoordinateReferenceSystem(Parser.java:222)
        at org.geotools.referencing.wkt.Parser.parseCoordinateReferenceSystem(Parser.java:201)
        at org.geotools.referencing.factory.ReferencingObjectFactory.createFromWKT(ReferencingObjectFactory.java:1088)
        at org.geotools.referencing.CRS.parseWKT(CRS.java:450)
        at sk.freemap.kapor.Projection.loadCRS(Projection.java:54)
        at sk.freemap.kapor.Projection.initCRS(Projection.java:38)
        at sk.freemap.kapor.KaporPlugin.<init>(KaporPlugin.java:29)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Unknown Source)
        at org.openstreetmap.josm.plugins.PluginInformation.load(PluginInformation.java:323)
        at org.openstreetmap.josm.plugins.PluginHandler.loadPlugin(PluginHandler.java:589)
        at org.openstreetmap.josm.plugins.PluginHandler.loadPlugins(PluginHandler.java:651)
        at org.openstreetmap.josm.plugins.PluginHandler.loadLatePlugins(PluginHandler.java:691)
        at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:424)
Caused by: java.lang.IllegalAccessError: tried to access method org.geotools.referencing.operation.MathTransformProvider.toMap([Lorg/opengis/referencing/ReferenceIdentifier;)Ljava/util/Map; from class org.geotools.referencing.operation.transform.NTv2Transform$Provider
        at org.geotools.referencing.operation.transform.NTv2Transform$Provider.<clinit>(NTv2Transform.java:396)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Unknown Source)
        at java.lang.Class.newInstance(Unknown Source)
        ... 26 more

INFO: GET https://api.openstreetmap.org/api/0.6/user/details
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-09-29 22:12:08
Last Changed Author: Don-vip
Revision: 7588
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-09-29 23:52:43 +0200 (Mon, 29 Sep 2014)
Last Changed Rev: 7588

Identification: JOSM/1.5 (7588 en) Windows 7 64-Bit
Memory Usage: 219 MB / 1795 MB (62 MB allocated, but free)
Java version: 1.7.0_67, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

Plugins:
- freemapkapor (53)
- geotools (30569)
- jts (30416)
- opendata (30607)
- utilsplugin2 (30460)

Attachments (0)

Change History (5)

comment:1 Changed 5 years ago by Don-vip

Component: CorePlugin geotools
Description: modified (diff)
Owner: changed from team to Don-vip

comment:2 Changed 5 years ago by Don-vip

Owner: changed from Don-vip to jsaniga@…
Status: newneedinfo

I think your geotools.jar is corrupted. Can you please tell me what is the file size of %APPDATA%\JOSM\plugins\geotools.jar?

Redownloading the plugin should fix the problem.

comment:3 Changed 5 years ago by anonymous

The file size is 12497220.

$ md5sum AppData/Roaming/JOSM/plugins/geotools.jar
c4a1a331b6f15c2c6a31292846929b52 *AppData/Roaming/JOSM/plugins/geotools.jar

comment:4 Changed 5 years ago by Don-vip

Owner: changed from jsaniga@… to Don-vip
Status: needinfonew

the file is correct.

comment:5 Changed 5 years ago by Don-vip

Component: Plugin geotoolsPlugin
Keywords: github added
Resolution: othersoftware
Status: newclosed

Not geotools fault but freemapkapor's. See https://github.com/MilanNobonn/freemapKaPor/issues/1

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.